Установка данных WordPress Theme Unit

Я следую «Обучающим темам« Построение тем из Scratch Using Underscores (2016) »на Lynda.com и примерно в 00:35 он предлагает загрузить тестовые данные модуля темы из WordPress. Я загрузил xml-файл, но когда я перехожу на панель инструментов моего сайта WordPress, тогда Tools -> Import -> WordPress, мне будет предложено установить плагин WordPress Importer, потому что я раньше его не использовал.

Это вызывает окно, которое не показано в учебнике:

введите описание изображения здесь

Почему меня спрашивают имя хоста, имя пользователя FTP и пароль, когда мой сайт работает локально с XAMPP?

Существует статья в деревенском доме, в которой предлагается идти вперед и вводить «root» в качестве имени пользователя, оставляя пароль пустым и находя локальную информацию о подключении FTP в панели управления XAMPP (я предполагаю, что это то, что вы ввели для Hostname). Кажется, я не могу найти «Filezilla Admin» в любом месте панели управления (localhost / xampp – это то, что он имеет в виду с помощью панели управления?)

введите описание изображения здесь

Любые идеи или предложения? Благодаря!

Если вы используете MAC, вам нужно будет установить разрешения для файлов, позволяющие обновлять и загружать плагины / темы без использования FTP и вручную добавлять их в папку htdocs.

Ссылка, приведенная ниже, проведет вас через это, чтобы настроить работу.

http://ghosthorses.co.uk/production-diary/auto-update-wordpress-plugins-on-localhost-xampp-on-mac-osx/

http://wpforce.com/auto-update-wordpress-xampp-osx/

Это видео покажет вам, как исправить проблему с разрешениями, чтобы вы могли загружать плагины через WordPress без добавления их вручную или с помощью настроек FTP. https://www.youtube.com/watch?v=Jlg0BteNBKI

Я бы сделал короткий переход к папке xampp для ваших htdocs на вашем рабочем столе, это ускорит доступ к вашим файлам.

Также хорошо заметить, что xampp при обновлении до более новых версий может уничтожить ваши базы данных mysql, поэтому загрузите их перед обновлением, поскольку это произошло со мной, прежде чем я совершил переход к MAMP.

Мне нужно было перейти на фактический сайт для плагина ( wordpress.org/plugins/wordpress-importer/installation) , загрузить папку, распаковать папку и вручную поместить распакованную папку в папку плагинов моей темы , aka Приложения -> XAMPP -> xamppfiles -> htdocs -> ThemeFolder -> wp-content -> плагины.

EDIT : Это заставило WordPress Importer отображать «Run Importer» вместо «Install Now | Details» (снимок экрана) , поэтому похоже, что он будет работать, но когда я на самом деле нажал «Run Importer», я все равно получаю сообщение об ошибке : (снимок экрана) .

EDIT 2 : Мне нужно было перейти в XAMPP -> xamppfiles -> etc -> httpd.conf. В этом файле мне нужно было изменить User на имя пользователя, которое появляется, когда я запускаю команды терминала (без «$»). И тогда мне нужно было изменить группу на администратора (я не помню, откуда я получил админ, но я постараюсь найти его и продолжить). Так оно будет выглядеть так:

User happyhands31 Group admin 

Я также должен был убедиться, что номер порта в httpd.conf соответствует номеру порта в Configure Apache Server . Строка в файле httpd.conf (строка 54 для меня) должна была сказать:

 Listen 80 

Выполнение этих задач в сочетании с подключением к Интернету, которое не мешает работе с базой данных MySQL (он не запускался раньше, и все, что мне нужно было сделать, это переключить wifi aka move to different building), наконец, получил плагин Import WordPress для работы : скриншот .